Get PCI EIP-712 Challenge
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"domain": {
"name": "<string>",
"version": "<string>",
"chainId": 123
},
"primaryType": "Message",
"types": {
"Message": [
{
"name": "<string>",
"type": "<string>"
}
]
},
"message": {
"authorization": "<string>",
"nonce": "<string>"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}PCI
Get PCI EIP-712 Challenge
Issues a one-time EIP-712 challenge. The response is a complete typed-data object that can be passed directly to signTypedData (convert message.nonce to BigInt first). After signing, forward the hex signature as x-eip712-signature and the nonce as x-eip712-nonce on the subsequent PCI data request. The challenge expires after 5 minutes and can only be used once.
GET
/
pci
/
cards
/
{cardId}
/
challenge
Get PCI EIP-712 Challenge
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/user-api/pci/cards/{cardId}/challenge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"domain": {
"name": "<string>",
"version": "<string>",
"chainId": 123
},
"primaryType": "Message",
"types": {
"Message": [
{
"name": "<string>",
"type": "<string>"
}
]
},
"message": {
"authorization": "<string>",
"nonce": "<string>"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Path Parameters
Query Parameters
The operation being authorized: 'view-details' (card PAN/CVV), 'view-pin' (read PIN), 'change-pin' (set new PIN). The operation being authorized: 'view-details' (card PAN/CVV), 'view-pin' (read PIN), 'change-pin' (set new PIN).
Available options:
view-details, view-pin, change-pin Response
The request has succeeded.
Complete EIP-712 typed data. Pass this object directly to signTypedData — convert message.nonce to BigInt before signing.